> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Responses & Errors

# API Responses

Unless specified otherwise, the API returns JSON payloads both on success and errors.

A successful response looks like:

```json theme={null}
{
  "result": {
    ... actual payload goes here...
  }
}
```

An error payload is structured like:

```json theme={null}
{
  "error": {
    "type": "not_found",
    "message": "Recording was not found"
  }
}
```

Some kind of errors may carry additional information. For instance `validation_error` may define the location of the element failing the check in `path` attribute.

```json theme={null}

{
  "error": {
    "type": "validation_error",
    "message": "Value is not a valid integer",
    "path": "limit"
  }
}
```

## Dates

Request dates can be sent in ISO format variants:

```
2025-02-25T13:00:44.602Z
2025-02-25T13:00:44Z
2025-02-25T13:00Z
2025-02-25T13:00
2025-02-25
```

Response dates are in ISO format, UTC.

```
"createdAt": "2025-02-25T13:00:44.602Z"
```

# API Error Codes

Claap API uses the following error codes:

| Code | Description                                                                                       |
| ---- | ------------------------------------------------------------------------------------------------- |
| 200  | OK, everything worked as expected                                                                 |
| 400  | There was something wrong with your request. Check the response body for a detailed error message |
| 401  | Unauthorized, API key was not supplied or is not valid                                            |
| 404  | Not found, requested resource cannot be retrieved                                                 |
| 429  | Too many requests. Check the response headers for information about the state of rate limiting    |
| 500  | Internal error. Contact us if the error persists.                                                 |
